# SoVRMLInterpolator Class Reference

`#include <Inventor/VRMLnodes/SoVRMLInterpolator.h>`

Inheritance diagram for SoVRMLInterpolator:

List of all members.

## Detailed Description

The SoVRMLInterpolator class is an internal abstract class.

This class collects the two fields that are common for all interpolator nodes, plus common code that operates on these fields. Since this is an abstract "helper" class, it does not represent an actual node from the VRML97 specification, so don't use it as such.

For more information, a detailed discussion of interpolators is available in section 4.6.8 of the VRML97 specification:

<http://www.web3d.org/technicalinfo/specifications/vrml97/part1/concepts.html#4.6.8>

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoMFFloat | key
SoSFFloat | set_fraction

## Protected Member Functions

int | getKeyValueIndex (float &interp)

## Member Function Documentation

void SoVRMLInterpolator::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNodeEngine. Reimplemented in SoVRMLColorInterpolator, SoVRMLCoordinateInterpolator, SoVRMLNormalInterpolator, SoVRMLOrientationInterpolator, SoVRMLPositionInterpolator, and SoVRMLScalarInterpolator.

int SoVRMLInterpolator::getKeyValueIndex | ( | float & | interp | ) | `[protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

## Member Data Documentation

SoMFFloat SoVRMLInterpolator::key

This field contains a set of floating point values which the interpolation will run over. The key values should be monotonically non-decreasing.

The field is inherited from it's declaration in the abstract SoVRMLInterpolator class into a range of different VRML interpolator nodes.

See the class documentation of the non-abstract VRML interpolator node you want to use for information on what the key values represent in that specific context.

SoSFFloat SoVRMLInterpolator::set_fraction

| The set_fraction field gets an input signal that triggers a calculation of the next value_changed eventOut value. The field is inherited from it's declaration in the abstract SoVRMLInterpolator class into a range of different VRML interpolator nodes.

The documentation for this class was generated from the following files:

- SoVRMLInterpolator.h
- Interpolator.cpp